Bug 1403102 - SELinux is preventing x86_energy_perf from 'open' accesses on the chr_file /dev/cpu/0/msr.
Summary: SELinux is preventing x86_energy_perf from 'open' accesses on the chr_file /d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f996ab7869b03611d492c3d3388...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-09 04:27 UTC by Nate Graham
Modified: 2017-01-13 02:20 UTC (History)
19 users (show)

Fixed In Version: selinux-policy-3.13.1-225.6.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-11 07:23:43 UTC
Type: ---


Attachments (Terms of Use)

Description Nate Graham 2016-12-09 04:27:02 UTC
Description of problem:
SELinux is preventing x86_energy_perf from 'open' accesses on the chr_file /dev/cpu/0/msr.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that x86_energy_perf should be allowed open access on the msr chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'x86_energy_perf' --raw | audit2allow -M my-x86energyperf
# semodule -X 300 -i my-x86energyperf.pp

Additional Information:
Source Context                system_u:system_r:tlp_t:s0
Target Context                system_u:object_r:cpu_device_t:s0
Target Objects                /dev/cpu/0/msr [ chr_file ]
Source                        x86_energy_perf
Source Path                   x86_energy_perf
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-225.1.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.8.11-300.fc25.x86_64 #1 SMP Mon
                              Nov 28 18:24:51 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-12-08 17:04:29 MST
Last Seen                     2016-12-08 17:04:29 MST
Local ID                      2464df0d-6f7b-4735-9acf-e9b4aa26ff83

Raw Audit Messages
type=AVC msg=audit(1481241869.128:731): avc:  denied  { open } for  pid=3769 comm="x86_energy_perf" path="/dev/cpu/0/msr" dev="devtmpfs" ino=1107 scontext=system_u:system_r:tlp_t:s0 tcontext=system_u:object_r:cpu_device_t:s0 tclass=chr_file permissive=1


Hash: x86_energy_perf,tlp_t,cpu_device_t,chr_file,open

Version-Release number of selected component:
selinux-policy-3.13.1-225.1.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.11-300.fc25.x86_64
type:           libreport

Comment 1 Jia Yuan Lo 2016-12-10 15:37:20 UTC
Description of problem:
Happened after 1st time install BOINC client and 1st time starting BOINC client service

Version-Release number of selected component:
selinux-policy-3.13.1-225.1.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.12-300.fc25.x86_64
type:           libreport

Comment 2 Doaxan 2016-12-11 04:33:05 UTC
Description of problem:
After latest update, i get this after every reboot.

Version-Release number of selected component:
selinux-policy-3.13.1-225.1.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.12-300.fc25.x86_64
type:           libreport

Comment 3 Andrew Rembrandt 2016-12-19 15:08:28 UTC
Description of problem:
Not sure if this is reated to the fact I've installed tlp

Version-Release number of selected component:
selinux-policy-3.13.1-225.3.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.7.4-994.surfacepro3.fc25.x86_64
type:           libreport

Comment 4 mrummuka 2016-12-24 14:19:40 UTC
Description of problem:
1st boot after fedora 24->25 upgrade; resuming laptop from suspend

Version-Release number of selected component:
selinux-policy-3.13.1-225.3.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.15-300.fc25.x86_64
type:           libreport

Comment 5 Michał 2017-01-04 16:30:36 UTC
Description of problem:
Just boot up

Version-Release number of selected component:
selinux-policy-3.13.1-225.3.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.15-300.fc25.x86_64
type:           libreport

Comment 6 Fedora Update System 2017-01-08 22:22:04 UTC
selinux-policy-3.13.1-225.6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-66d634473a

Comment 7 Fedora Update System 2017-01-10 03:25:34 UTC
selinux-policy-3.13.1-225.6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-66d634473a

Comment 8 Fedora Update System 2017-01-11 07:23:43 UTC
selinux-policy-3.13.1-225.6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.